### Virtual Method

# Aravis Device get_genicam_xml

since: 0.2.0

#### Declaration [src]

    const char*
    get_genicam_xml (
      ArvDevice* device,
      size_t* size
    )

#### Description [src]

Gets the Genicam XML data stored in the device memory.

Available since: 0.2.0

#### Parameters

`size`

  Type: `size_t*`

  Placeholder for the returned data size (bytes).

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `const char*`

A pointer to the Genicam XML data, owned by the device.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.